Client Search

The Clients Search API is used by the Credit+ Issuing system to search clients based on multiple form factors. This API offers ability to search the client details based on multiple form factors,such as device number, packID, alias or client code, registered mobile number, and wallet or account number. In API response, a list of clients along with its associated parameters, such as code, status, branchCode, profile, registeredContacts, and preferences are provided. To carry out client's search, at least one of the request parameters, such as device.number, device.packID, device.alias, client.code, client.registeredMobile, or wallet.number is mandatory. If this API is consumed by platform specific vendors (such as ACS or SMS providers), then the device.number parameter is mandatory in the request. The device.alias parameter must be used only if device alias functionality is enabled for the institution or bank. In case alias uniqueness is not defined at institution level, then productType, planCode, or programCode parameters must be used to refine the search further, else, the UNIQUE_RECORD_NOT_FOUND error is returned. This API is applicable for prepaid, credit, and debit products.

HTTP Status and Response Status Matrix

  • HTTP Code: This is the response status code issued by a server in response to a client's request made to the server.
  • Error Code: This is the error code returned by Credit+ Issuing application in the ‘code’ field of the response message indicating if the request was processed successfully or failed.
  • Reason: This is the description of the error code returned by Credit+ Issuing application.
HTTP CodeError CodeReason
200000Successful.
400Input request JSON format is not valid.
400Missing Required Field - {fieldName}.
400Invalid Field Format - {fieldName}.
400{FieldName} size must be between
400Invalid Field Value - {fieldname}.
400Alias functionality not supported for this institution.
400Aliases uniqueness is not defined at institution level and records corresponding to multiple clients found for given alias.
400Cryptography error.
400Missing required messaging tag - <TAG Name 1>.
400System rejected the payload as given timestamp is in the past.
401The user is not authorized to make the request.
403The request was valid, but the server is refusing action. The user might not have the necessary permissions for a resource.
404The requested resource could not be found but may be available in the future. Subsequent requests by the client are permissible.
500The server encountered an internal error and was unable to complete your request. Please try again after some time or contact customer care.
500Server failed to deliver SMS to recipient.
500Server failed to deliver email to recipient.
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

Request payload for client search, at least one of device.number, device.packId, device.alias, client.code, client.registeredMobile, or wallet.number is required in encryptedData.

string
length ≤ 40
^[0-9a-f]+$

Hex-encoded SHA-256 digest of the recipient's RSA public key used for encryption, serves as an identifier for the key.

string
^[0-9a-f]+$

One-time use AES key encrypted by the Pine Labs public key (as identified by publicKeyFingerprint) using the PKCS#1 v1.5 scheme, must be hex-encoded.

string
enum

Indicates the digest algorithm used with the RSA-OAEP scheme, valid value is: NONE.

Allowed:
string
length between 32 and 32
^[0-9a-f]+$

Initialization vector used when encrypting data using the one-time use AES key, must be exactly 16 bytes (32-character hex string) to match the block size, if not present, an IV of zero is assumed.

string
required
^[0-9a-f]+$

CDM request data to be encrypted by the ephemeral AES key using CBC mode (IV as provided in 'iv', or zero if none provided) and PKCS#7 padding, must be hex-encoded.

string
required
length ≤ 29
^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}(\.\d{1,3})?([+-]\d{2}:\d{2}|Z)$

Date and time after which this encrypted data object is considered invalid, expressed in ISO-8601 extended format, must be either YYYY-MM-DDThh:mm:ss[.sss]Z or YYYY-MM-DDThh:mm:ss[.sss]±hh:mm where [.sss] is optional and can be 1 to 3 digits.

Headers
string
^[a-zA-Z0-9-]{1,50}$

API consumer can share Correlation-ID in HTTP header for API requests. The Correlation-ID must be unique for each request. It is recommended to generate universally unique identifier (UUID) of length 32 or 36 that is compliant with RFC 4122. The maximum supported length is 50 alphanumeric characters. For example, ac97d177-9345-4934-8343-0f91a7a02836. If the Correlation-ID is not received in the incoming request, the system generates the UUID dynamically and assigns it to the request.

string

API consumer can share Source (optional field) in HTTP header for API requests. For the list of Source values, see the Pre-conditions for HTTP Header of REST API topic in the Pre-requisite for Rest API section.

string
enum

API consumer can share Channel (optional field) in HTTP header for API requests. It is the network or channel through which request is routed. The only available value for Channel is API.

Allowed:
Response

Language
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json